import { useEffect } from 'react';
import { useLogin } from './useLogin.js';
import { useProfile } from './useProfile.js';
import { useClient } from './useClient.js';
import { useStore } from './useStore.js';
export function useNostrStore(defaults, hooks = {}) {
    const nostrStore = useStore(defaults, hooks);
    const { store, update } = nostrStore;
    const { client, connection } = store;
    useEffect(() => {
        if (client !== undefined && connection === 'ok') {
            update({ isConnected: true });
        }
        else {
            update({ isConnected: false });
        }
    }, [client, connection]);
    useEffect(() => {
        console.log('NostrStore:', store);
    }, [store]);
    return {
        ...nostrStore,
        ...useClient(nostrStore),
        ...useLogin(nostrStore),
        ...useProfile(nostrStore)
    };
}
//# sourceMappingURL=useNostr.js.map