type Key<T> = keyof T;
type Value<T> = T[Key<T>];
type Hook<T> = (value?: Value<T>) => Value<T> | null | undefined;
export type Action<T> = {
    type: 'reset';
    payload: T;
} | {
    type: 'update';
    payload: Partial<T>;
} | {
    type: 'write';
    payload: Record<string, any>;
};
export type Hooks<T> = Partial<Record<Key<T>, Hook<T>>>;
export type StoreAPI<T> = ReturnType<typeof useStore<T>>;
export declare function useStore<T>(defaults: T, hooks?: Hooks<T>): {
    reset: (store: Partial<T>) => void;
    setError: (err: Error | string) => void;
    store: T;
    update: (store: Partial<T>) => void;
};
export {};
//# sourceMappingURL=useStore.d.ts.map