import { ReactElement } from 'react';
import { useNostrStore } from './hooks/useNostr.js';
export * from './schema/types.js';
export type NostrContext = ReturnType<typeof useNostrStore>;
export declare function NostrProvider({ children }: {
    children: ReactElement | ReactElement[];
}): ReactElement;
export declare function useNostr(): {
    getProfile: () => Promise<import("./schema/types.js").Profile | undefined>;
    setProfile: (updates: Partial<import("./schema/types.js").Profile>) => Promise<void>;
    login: {
        withExt: () => Promise<void>;
        withPubKey: (pubkey: string) => void;
        withSecKey: (seckey: string) => void;
        generateKey: () => void;
    };
    logout: () => void;
    client: {
        connected: () => Promise<boolean>;
        publish: (event: Partial<import("nostr-tools").EventTemplate>) => Promise<import("nostr-tools").Event | undefined>;
        get: (filter: import("nostr-tools").Filter) => Promise<import("nostr-tools").Event | null>;
        list: (filters: import("nostr-tools").Filter[]) => Promise<import("nostr-tools").Event[]>;
        pub: (event: import("nostr-tools").Event) => Promise<import("nostr-tools").Pub>;
        sub: (filters: import("nostr-tools").Filter[]) => Promise<import("nostr-tools").Sub>;
    };
    reset: (store: Partial<import("./schema/types.js").NostrStore>) => void;
    setError: (err: string | Error) => void;
    store: import("./schema/types.js").NostrStore;
    update: (store: Partial<import("./schema/types.js").NostrStore>) => void;
};
//# sourceMappingURL=index.d.ts.map